bcr_test_module:
  module_path: .
  matrix:
    platform:
      - debian11
      - ubuntu2204
      - macos_arm64
    linux_platform:
      - debian11
      - ubuntu2204
    bazel:
      - 9.x
      - 8.x
      - 7.x
  tasks:
    run_tests_linux:
      name: Test all the things
      platform: ${{ linux_platform }}
      bazel: ${{ bazel }}
      shell_commands:
        # bcr_presubmit.py does not respect executable bit
        - chmod +x t/bazel-test-wrapper.sh
      test_flags:
        - --incompatible_strict_action_env
        - --@curl//:ssl_lib=openssl
      test_targets:
        - //...
    run_tests_macos:
      name: Test all the things (macos)
      platform: macos_arm64
      bazel: ${{ bazel }}
      shell_commands:
        # bcr_presubmit.py does not respect executable bit
        - chmod +x t/bazel-test-wrapper.sh
      test_flags:
        - --incompatible_strict_action_env
        - --@curl//:ssl_lib=openssl
        - --test_env=PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
      test_targets:
        - //...
